package ru.yandex.webmaster3.viewer.http.achievements;

import org.joda.time.DateTime;
import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.viewer.http.AbstractUserVerifiedHostRequest;

/**
 * @author lester
 */
public class GetHostAndRivalsSqiHistoryRequest extends AbstractUserVerifiedHostRequest {
    private DateTime dateFrom;
    private DateTime dateTo;

    public DateTime getDateFrom() {
        return dateFrom;
    }

    @Description("Начало диапазона дат")
    @RequestQueryProperty
    public void setDateFrom(DateTime dateFrom) {
        this.dateFrom = dateFrom;
    }

    public DateTime getDateTo() {
        return dateTo;
    }

    @Description("Конец диапазона дат")
    @RequestQueryProperty
    public void setDateTo(DateTime dateTo) {
        this.dateTo = dateTo;
    }
}
